package com.chinaitop.depot.intelligent.grainsituation.service;

import com.chinaitop.depot.intelligent.basicdata.model.TCcinfo;
import com.chinaitop.depot.intelligent.fumigation.model.TFumigationPlan;
import com.chinaitop.depot.intelligent.grainsituation.model.TCcdata;
import com.chinaitop.depot.intelligent.grainsituation.model.TCcdataExample;
import com.chinaitop.depot.intelligent.grainsituation.model.TCcvalue;
import com.unissoft.model.ResponseEntity;

import java.util.Date;
import java.util.List;
import java.util.Map;

public interface InsectPestDetectionService {

    /**
     * 列表
     *
     * @param iBeginTdh
     * @param iEndTdh
     * @return
     */
    List<Map<String, Object>> getList(String vCfCode, Integer iBeginTdh, Integer iEndTdh,String orgId, String startTime, String endTime);

    /**
     * 图表展示
     *
     * @param cfCode
     * @param searchStartDate
     * @param searchEndDate
     * @return
     */
    ResponseEntity getByCfCode(String cfCode, String searchStartDate, String searchEndDate);

    /**
     * 根据测虫集合code查询
     *
     * @param code
     * @return
     */
    List<TCcinfo> getByCode(List<String> code);

    /**
     * 获取每个仓房数据
     *
     * @return
     */
    Map<String, Map<String, Object>> getByCfCodes(Map<String, Object> mapDate);

    //批量添加检测虫害数据
    void insertBatch(List<TCcdata> tCcdata);

    //根据设备code和时间查询虫害检测数据
    List<TCcdata> getByCodeAndTimes(List<String> cDcsCodes, List<Date> cTimes, List<Integer> tdhs);

    TCcvalue getOneByCfCode(String orgId, String vCfCode);

    List<Map<String, Object>> getJcd(Map<String, Object> map);

    void add(TCcdata tCcdata,TCcvalue tCcvalue);

    void update(TCcdata tCcdata,TCcvalue tCcvalue);

    List<TCcdata> getInsectPestDeatil(TCcdataExample example);
}
